# Copyright 2021 Samsung Electronics Co., Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

#     http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# =============================================================================

ptcv_accs_cf10 = {
'nin_cifar10':7.43,
'resnet20_cifar10':5.97,
'resnet56_cifar10':4.52,
'resnet110_cifar10':3.69,
'resnet164bn_cifar10':3.68,
'resnet272bn_cifar10':3.33,
'resnet542bn_cifar10':3.43,
'resnet1001_cifar10':3.28,
'resnet1202_cifar10':3.53,
'preresnet20_cifar10':6.51,
'preresnet56_cifar10':4.49,
'preresnet110_cifar10':3.86,
'preresnet164bn_cifar10':3.64,
'preresnet272bn_cifar10':3.25,
'preresnet542bn_cifar10':3.14,
'preresnet1001_cifar10':2.65,
'preresnet1202_cifar10':3.39,
'resnext20_16x4d_cifar10':None,
'resnext20_32x2d_cifar10':None,
'resnext20_32x4d_cifar10':None,
'resnext29_32x4d_cifar10':3.15,
'resnext29_16x64d_cifar10':2.41,
'resnext272_1x64d_cifar10':2.55,
'resnext272_2x32d_cifar10':2.74,
'seresnet20_cifar10':6.01,
'seresnet56_cifar10':4.13,
'seresnet110_cifar10':3.63,
'seresnet164bn_cifar10':3.39,
'seresnet272bn_cifar10':3.39,
'seresnet542bn_cifar10':3.47,
'seresnet1001_cifar10':None,
'seresnet1202_cifar10':None,
'sepreresnet20_cifar10':6.18,
'sepreresnet56_cifar10':4.51,
'sepreresnet110_cifar10':4.54,
'sepreresnet164bn_cifar10':3.73,
'sepreresnet272bn_cifar10':3.39,
'sepreresnet542bn_cifar10':3.08,
'sepreresnet1001_cifar10':None,
'sepreresnet1202_cifar10':None,
'pyramidnet110_a48_cifar10':3.72,
'pyramidnet110_a84_cifar10':2.98,
'pyramidnet110_a270_cifar10':2.51,
'pyramidnet164_a270_bn_cifar10':2.51,
'pyramidnet200_a240_bn_cifar10':2.44,
'pyramidnet236_a220_bn_cifar10':2.47,
'pyramidnet272_a200_bn_cifar10':2.39,
'densenet40_k12_cifar10':5.61,
'densenet40_k12_bc_cifar10':6.43,
'densenet40_k24_bc_cifar10':4.52,
'densenet40_k36_bc_cifar10':4.04,
'densenet100_k12_cifar10':3.66,
'densenet100_k24_cifar10':3.13,
'densenet100_k12_bc_cifar10':4.16,
'densenet190_k40_bc_cifar10':2.52,
'densenet250_k24_bc_cifar10':2.67,
'xdensenet40_2_k24_bc_cifar10':5.31,
'xdensenet40_2_k36_bc_cifar10':4.37,
'wrn16_10_cifar10':2.93,
'wrn28_10_cifar10':2.39,
'wrn40_8_cifar10':2.37,
'wrn20_10_1bit_cifar10':3.26,
'wrn20_10_32bit_cifar10':3.14,
'ror3_56_cifar10':5.43,
'ror3_110_cifar10':4.35,
'ror3_164_cifar10':3.93,
'rir_cifar10':3.28,
'msdnet22_cifar10':None,
'resdropresnet20_cifar10':None,
'shakeshakeresnet20_2x16d_cifar10':5.15,
'shakeshakeresnet26_2x32d_cifar10':3.17,
'shakedropresnet20_cifar10':None,
'fractalnet_cifar10':None,
'diaresnet20_cifar10':6.22,
'diaresnet56_cifar10':5.05,
'diaresnet110_cifar10':4.10,
'diaresnet164bn_cifar10':3.50,
'diaresnet1001_cifar10':None,
'diaresnet1202_cifar10':None,
'diapreresnet20_cifar10':6.42,
'diapreresnet56_cifar10':4.83,
'diapreresnet110_cifar10':4.25,
'diapreresnet164bn_cifar10':3.56,
'diapreresnet1001_cifar10':None,
'diapreresnet1202_cifar10':None
}

ptcv_accs_cf100 = {
'nin_cifar100':28.39,
'resnet20_cifar100':29.64,
'resnet56_cifar100':24.88,
'resnet110_cifar100':22.80,
'resnet164bn_cifar100':20.44,
'resnet272bn_cifar100':20.07,
'resnet542bn_cifar100':19.32,
'resnet1001_cifar100':19.79,
'resnet1202_cifar100':21.56,
'preresnet20_cifar100':30.22,
'preresnet56_cifar100':25.05,
'preresnet110_cifar100':22.67,
'preresnet164bn_cifar100':20.18,
'preresnet272bn_cifar100':19.63,
'preresnet542bn_cifar100':18.71,
'preresnet1001_cifar100':18.41,
'preresnet1202_cifar100':None,
'resnext20_16x4d_cifar100':None,
'resnext20_32x2d_cifar100':None,
'resnext20_32x4d_cifar100':None,
'resnext29_32x4d_cifar100':19.5,
'resnext29_16x64d_cifar100':16.93,
'resnext272_1x64d_cifar100':19.11,
'resnext272_2x32d_cifar100':18.34,
'seresnet20_cifar100':28.54,
'seresnet56_cifar100':22.94,
'seresnet110_cifar100':20.86,
'seresnet164bn_cifar100':19.59,
'seresnet272bn_cifar100':19.07,
'seresnet542bn_cifar100':18.87,
'seresnet1001_cifar100':None,
'seresnet1202_cifar100':None,
'sepreresnet20_cifar100':28.31,
'sepreresnet56_cifar100':23.05,
'sepreresnet110_cifar100':22.61,
'sepreresnet164bn_cifar100':20.05,
'sepreresnet272bn_cifar100':19.13,
'sepreresnet542bn_cifar100':19.45,
'sepreresnet1001_cifar100':None,
'sepreresnet1202_cifar100':None,
'pyramidnet110_a48_cifar100':20.95,
'pyramidnet110_a84_cifar100':18.87,
'pyramidnet110_a270_cifar100':17.10,
'pyramidnet164_a270_bn_cifar100':16.7,
'pyramidnet200_a240_bn_cifar100':16.09,
'pyramidnet236_a220_bn_cifar100':16.34,
'pyramidnet272_a200_bn_cifar100':16.19,
'densenet40_k12_cifar100':24.9,
'densenet40_k12_bc_cifar100':28.41,
'densenet40_k24_bc_cifar100':22.67,
'densenet40_k36_bc_cifar100':20.5,
'densenet100_k12_cifar100':19.64,
'densenet100_k24_cifar100':18.08,
'densenet100_k12_bc_cifar100':21.19,
'densenet190_k40_bc_cifar100':None,
'densenet250_k24_bc_cifar100':17.39,
'xdensenet40_2_k24_bc_cifar100':23.96,
'xdensenet40_2_k36_bc_cifar100':21.65,
'wrn16_10_cifar100':18.95,
'wrn28_10_cifar100':17.88,
'wrn40_8_cifar100':18.03,
'wrn20_10_1bit_cifar100':19.04,
'wrn20_10_32bit_cifar100':18.12,
'ror3_56_cifar100':25.49,
'ror3_110_cifar100':23.64,
'ror3_164_cifar100':22.34,
'rir_cifar100':19.23,
'msdnet22_cifar100':None,
'resdropresnet20_cifar100':None,
'shakeshakeresnet20_2x16d_cifar100':29.22,
'shakeshakeresnet26_2x32d_cifar100':18.8,
'shakedropresnet20_cifar100':None,
'fractalnet_cifar100':None,
'diaresnet20_cifar100':27.71,
'diaresnet56_cifar100':24.35,
'diaresnet110_cifar100':22.11,
'diaresnet164bn_cifar100':19.53,
'diaresnet1001_cifar100':None,
'diaresnet1202_cifar100':None,
'diapreresnet20_cifar100':28.37,
'diapreresnet56_cifar100':25.05,
'diapreresnet110_cifar100':22.69,
'diapreresnet164bn_cifar100':19.99,
'diapreresnet1001_cifar100':None,
'diapreresnet1202_cifar100':None
}

ptcv_accs_svhn = {
'nin_svhn':3.76,
'resnet20_svhn':3.43,
'resnet56_svhn':2.75,
'resnet110_svhn':2.45,
'resnet164bn_svhn':2.42,
'resnet272bn_svhn':2.43,
'resnet542bn_svhn':2.34,
'resnet1001_svhn':2.41,
'resnet1202_svhn':None,
'preresnet20_svhn':3.22,
'preresnet56_svhn':2.80,
'preresnet110_svhn':2.79,
'preresnet164bn_svhn':2.58,
'preresnet272bn_svhn':2.34,
'preresnet542bn_svhn':2.36,
'preresnet1001_svhn':None,
'preresnet1202_svhn':None,
'resnext20_16x4d_svhn':None,
'resnext20_32x2d_svhn':None,
'resnext20_32x4d_svhn':None,
'resnext29_32x4d_svhn':2.80,
'resnext29_16x64d_svhn':2.68,
'resnext272_1x64d_svhn':2.35,
'resnext272_2x32d_svhn':3.44,
'seresnet20_svhn':3.23,
'seresnet56_svhn':2.64,
'seresnet110_svhn':2.35,
'seresnet164bn_svhn':2.45,
'seresnet272bn_svhn':2.38,
'seresnet542bn_svhn':2.26,
'seresnet1001_svhn':None,
'seresnet1202_svhn':None,
'sepreresnet20_svhn':3.24,
'sepreresnet56_svhn':2.71,
'sepreresnet110_svhn':2.59,
'sepreresnet164bn_svhn':2.56,
'sepreresnet272bn_svhn':2.49,
'sepreresnet542bn_svhn':2.47,
'sepreresnet1001_svhn':None,
'sepreresnet1202_svhn':None,
'pyramidnet110_a48_svhn':2.47,
'pyramidnet110_a84_svhn':2.43,
'pyramidnet110_a270_svhn':2.38,
'pyramidnet164_a270_bn_svhn':2.33,
'pyramidnet200_a240_bn_svhn':2.32,
'pyramidnet236_a220_bn_svhn':2.35,
'pyramidnet272_a200_bn_svhn':2.40,
'densenet40_k12_svhn':3.05,
'densenet40_k12_bc_svhn':3.2,
'densenet40_k24_bc_svhn':2.9,
'densenet40_k36_bc_svhn':2.6,
'densenet100_k12_svhn':2.6,
'densenet100_k24_svhn':None,
'densenet100_k12_bc_svhn':None,
'densenet190_k40_bc_svhn':None,
'densenet250_k24_bc_svhn':None,
'xdensenet40_2_k24_bc_svhn':2.87,
'xdensenet40_2_k36_bc_svhn':2.74,
'wrn16_10_svhn':2.78,
'wrn28_10_svhn':2.71,
'wrn40_8_svhn':2.54,
'wrn20_10_1bit_svhn':2.73,
'wrn20_10_32bit_svhn':2.59,
'ror3_56_svhn':2.69,
'ror3_110_svhn':2.57,
'ror3_164_svhn':2.73,
'rir_svhn':2.68,
'msdnet22_svhn':None,
'resdropresnet20_svhn':None,
'shakeshakeresnet20_2x16d_svhn':3.17,
'shakeshakeresnet26_2x32d_svhn':2.62,
'shakedropresnet20_svhn':None,
'fractalnet_svhn':None,
'diaresnet20_svhn':3.23,
'diaresnet56_svhn':2.68,
'diaresnet110_svhn':2.47,
'diaresnet164bn_svhn':2.44,
'diaresnet1001_svhn':None,
'diaresnet1202_svhn':None,
'diapreresnet20_svhn':3.03,
'diapreresnet56_svhn':2.8,
'diapreresnet110_svhn':2.42,
'diapreresnet164bn_svhn':2.56,
'diapreresnet1001_svhn':None,
'diapreresnet1202_svhn':None
}

ptcv_accs_imgnet = {
'alexnet': 40.96,
'alexnetb': 41.58,
'zfnet': 39.79,
'zfnetb': 36.37,
'vgg11': 29.90,
'vgg13': 28.76,
'vgg16': 26.98,
'vgg19': 25.74,
'bn_vgg11': 29.01,
'bn_vgg13': 27.83,
'bn_vgg16': 25.72,
'bn_vgg19': 24.13,
'bn_vgg11b': 29.56,
'bn_vgg13b': 28.41,
'bn_vgg16b': 27.19,
'bn_vgg19b': 26.06,
'bninception': 25.37,
'resnet10': 34.69,
'resnet12': 33.62,
'resnet14': 32.45,
'resnetbc14b': 30.66,
'resnet16': 30.49,
'resnet18_wd4': 39.62,
'resnet18_wd2': 33.80,
'resnet18_w3d4': 30.40,
'resnet18': 28.53,
'resnet26': 26.30,
'resnetbc26b': 25.09,
'resnet34': 24.84,
'resnetbc38b': 23.69,
'resnet50': 22.28,
'resnet50b': 22.39,
'resnet101': 21.90,
'resnet101b': 20.59,
'resnet152': 21.01,
'resnet152b': 19.92,
'preresnet10': 35.11,
'preresnet12': 33.86,
'preresnet14': 32.64,
'preresnetbc14b': 31.29,
'preresnet16': 30.53,
'preresnet18_wd4': 40.06,
'preresnet18_wd2': 34.00,
'preresnet18_w3d4': 30.23,
'preresnet18': 28.43,
'preresnet26': 26.33,
'preresnetbc26b': 25.48,
'preresnet34': 24.89,
'preresnetbc38b': 22.92,
'preresnet50': 22.40,
'preresnet50b': 22.51,
'preresnet101': 21.74,
'preresnet101b': 21.04,
'preresnet152': 20.94,
'preresnet152b': 20.14,
'preresnet200b': 21.33,
'preresnet269b': 20.92,
'resnext14_16x4d': 31.94,
'resnext14_32x2d': 32.58,
'resnext14_32x4d': 30.32,
'resnext26_32x2d': 26.63,
'resnext26_32x4d': 24.14,
'resnext50_32x4d': 20.78,
'resnext101_32x4d': 19.98,
'resnext101_64x4d': 19.58,
'seresnet10': 33.89,
'seresnet18': 28.18,
'seresnet26': 25.67,
'seresnetbc26b': 23.59,
'seresnetbc38b': 21.60,
'seresnet50': 21.22,
'seresnet50b': 20.79,
'seresnet101': 21.88,
'seresnet101b': 19.70,
'seresnet152': 21.48,
'sepreresnet10': 34.03,
'sepreresnet18': 28.09,
'sepreresnetbc26b': 23.22,
'sepreresnetbc38b': 21.60,
'seresnext50_32x4d': 20.29,
'seresnext101_32x4d': 19.22,
'seresnext101_64x4d': 19.28,
'senet16': 25.65,
'senet28': 21.94,
'senet154': 18.62,
'ibn_resnet50': 22.76,
'ibn_resnet101': 21.29,
'ibnb_resnet50': 23.64,
'ibn_resnext101_32x4d': 20.88,
'ibn_densenet121': 24.47,
'ibn_densenet169': 23.25,
'airnet50_1x64d_r2': 21.84,
'airnet50_1x64d_r16': 22.11,
'airnext50_32x4d_r2': 20.87,
'bam_resnet50': 23.14,
'cbam_resnet50': 22.38,
'pyramidnet101_a360': 21.98,
'diracnet18v2': 31.47,
'diracnet34v2': 28.75,
'densenet121': 23.48,
'densenet161': 21.91,
'densenet169': 22.42,
'densenet201': 21.78,
'peleenet': 31.81,
'drnc26': 24.86,
'drnc42': 22.94,
'drnc58': 21.73,
'drnd22': 25.80,
'drnd38': 23.79,
'drnd54': 21.22,
'drnd105': 20.62,
'dpn68': 23.24,
'dpn98': 20.81,
'dpn131': 20.54,
'darknet_ref': 38.58,
'darknet_tiny': 40.74,
'darknet53': 21.75,
'irevnet301': 25.98,
'bagnet9': 53.61,
'bagnet17': 41.20,
'bagnet33': 33.34,
'dla34': 25.36,
'dla46c': 34.28,
'dla60': 22.98,
'dla102': 21.97,
'dla169': 21.29,
'fishnet150': 21.97,
'espnetv2_wd2': 42.32,
'espnetv2_w1': 33.92,
'hrnetv2_w18': 23.24,
'hrnetv2_w30': 21.80,
'hrnetv2_w32': 21.55,
'hrnetv2_w40': 21.07,
'hrnetv2_w44': 21.11,
'hrnetv2_w48': 20.69,
'hrnetv2_w64': 20.53,
'vovnet39': 23.22,
'vovnet57': 22.27,
'selecsls42b': 22.89,
'selecsls60': 22.10,
'selecsls60b': 21.62,
'hardnet39ds': 27.92,
'hardnet68ds': 25.71,
'hardnet68': 23.51,
'hardnet85': 21.96,
'squeezenet_v1_0': 39.29,
'squeezenet_v1_1': 39.31,
'squeezeresnet_v1_0': 39.77,
'squeezeresnet_v1_1': 40.09,
'shufflenet_g1_w1': 34.93,
'shufflenet_g2_w1': 34.25,
'shufflenet_g3_w1': 34.39,
'shufflenet_g4_w1': 34.19,
'shufflenet_g8_w1': 34.06,
'shufflenet_g1_w3d4': 39.58,
'shufflenet_g3_w3d4': 38.20,
'shufflenet_g1_wd2': 46.59,
'shufflenet_g3_wd2': 44.16,
'shufflenet_g1_wd4': 62.44,
'shufflenet_g3_wd4': 61.74,
'shufflenetv2_wd2': 40.99,
'shufflenetv2_w1': 31.44,
'shufflenetv2b_wd2': 40.29,
'shufflenetv2b_w1': 30.62,
'mobilenet_w1': 26.61,
'mobilenet_w3d4': 30.14,
'mobilenet_wd2': 34.15,
'mobilenet_wd4': 46.26,
'fdmobilenet_w1': 34.23,
'fdmobilenet_w3d4': 38.42,
'fdmobilenet_wd2': 43.13,
'fdmobilenet_wd4': 55.86,
'mobilenetv2_w1': 28.47,
'mobilenetv2_w3d4': 31.07,
'mobilenetv2_wd2': 35.98,
'mobilenetv2_wd4': 48.63,
'igcv3_w1': 27.91,
'igcv3_w3d4': 31.05,
'igcv3_wd2': 39.75,
'igcv3_wd4': 53.70,
'darts': 26.70,
'proxylessnas_cpu': 24.71,
'proxylessnas_gpu': 24.79,
'proxylessnas_mobile': 25.41,
'proxylessnas_mobile14': 23.29,
'xception': 20.97,
'inceptionv3': 21.12,
'inceptionv4': 20.64,
'inceptionresnetv2': 19.93,
'polynet': 19.10,
'pnasnet5large': 17.88,
'spnasnet': 25.92,
'efficientnet_b0': 24.77,
'efficientnet_b1': 23.08,
'efficientnet_b0b': 23.88,
'efficientnet_b1b': 21.60,
'efficientnet_b2b': 20.31,
'efficientnet_b3b': 18.83,
'efficientnet_b4b': 17.45,
'efficientnet_b5b': 16.56,
'efficientnet_b6b': 16.29,
'efficientnet_b7b': 15.94,
'efficientnet_b0c': 22.92,
'efficientnet_b1c': 20.73,
'efficientnet_b2c': 19.85,
'efficientnet_b3c': 18.26,
'efficientnet_b4c': 16.82,
'efficientnet_b5c': 15.91,
'efficientnet_b6c': 15.47,
'efficientnet_b7c': 15.13,
'efficientnet_b8c': 14.85,
'condensenet74_c4_g4': 26.25,
'condensenet74_c8_g8': 28.93,
'wrn50_2': 22.53,
'espnetv2_w5d4': 32.06,
'espnetv2_w3d2': 30.83,
'espnetv2_w2': 27.94,
'hrnet_w18_small_v1': 27.66,
'hrnet_w18_small_v2': 24.87,
'sqnxt23_w1': 42.51,
'sqnxt23_w3d2': 34.89,
'sqnxt23_w2': 30.62,
'sqnxt23v5_w1': 40.77,
'sqnxt23v5_w3d2': 33.81,
'sqnxt23v5_w2': 29.63,
'shufflenetv2_wd2': 25.94,
'shufflenetv2_w3d2': 27.47,
'shufflenetv2b_w3d2': 27.31,
'shufflenetv2b_wd2': 25.58,
'menet108_8x1_g3': 43.94,
'menet128_8x1_g4': 42.43,
'menet160_8x1_g8': 43.84,
'menet228_12x1_g3': 34.11,
'menet256_12x1_g4': 32.65,
'menet348_12x1_g3': 28.24,
'menet352_12x1_g8': 31.56,
'menet456_24x1_g3': 25.32,
'mobilenetv3_large_w1': 24.86,
'mnasnet_b1': 25.38,
'mnasnet_a1': 24.67,
'fbnet_cb': 24.89,
'nasnet_4a1056': 25.68,
'nasnet_6a4032': 18.14,
'efficientnet_edge_small_b': 22.74,
'efficientnet_edge_medium_b': 21.18,
'efficientnet_edge_large_b': 19.66,
'mixnet_s': 23.99,
'mixnet_m': 22.93,
'mixnet_l': 21.12
}